If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Classic MRJ Plugin is not backwards compatible to Netscape 6.2.1

RESOLVED FIXED in mozilla1.0.1

Status

Core Graveyard
Java: OJI
--
major
RESOLVED FIXED
16 years ago
7 years ago

People

(Reporter: Brian Nesse (gone), Assigned: Patrick C. Beard)

Tracking

({regression})

Trunk
mozilla1.0.1
PowerPC
Mac System 9.x
regression

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

6.37 KB, patch
Steve Dagley
: review+
Patrick C. Beard
: superreview+
Details | Diff | Splinter Review
(Reporter)

Description

16 years ago
Due to changes in the nsIServiceManager interface, and subsequent changes to the
Classic MRJ plugin, the MRJ plugin no longer functions with Mozilla 0.9.4 branch
based code (i.e. the current Netscape 6.x clients.)
(Reporter)

Updated

16 years ago
Status: NEW → ASSIGNED
Keywords: regression
Target Milestone: --- → mozilla1.0.1
(Reporter)

Comment 1

16 years ago
Created attachment 80060 [details] [diff] [review]
Patch

Patch to restore backward compatibility for 6.2 and keep the 4.x plugin working
as well.

Comment 2

16 years ago
Comment on attachment 80060 [details] [diff] [review]
Patch

r=sdagley
Attachment #80060 - Flags: review+
(Assignee)

Comment 3

16 years ago
Comment on attachment 80060 [details] [diff] [review]
Patch

sr=beard
Attachment #80060 - Flags: superreview+
(Reporter)

Comment 4

16 years ago
Fix checked in.
Status: ASSIGNED → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → FIXED

Comment 5

15 years ago
Chris Petersen is a new QA contact for oji component. His email is:
petersen@netscape.com
Assignee: bnesse → petersen
fixing small error for pmac@netscape.com (filter with : SPAMMAILSUCKS)
Assignee: petersen → beard
QA Contact: pmac → petersen

Updated

7 years ago
Component: Java: OJI → Java: OJI
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.